Announcing PyData/Sparse 0.10.0

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Announcing PyData/Sparse 0.10.0

Hameer Abbasi

On behalf of the community and contributors, I’m pleased to announce PyData/Sparse v0.10.0.

 

PyData/Sparse is a package that provides sparse arrays mimicking NumPy API for the PyData ecosystem.

 

This was a mainly bug-fix focused release with a few features and performance improvements. Most notably, it fixes deprecation warnings that arise when pairing it with Numba v0.49, which will turn into errors with Numba v0.50. The full change-log can be found at https://sparse.pydata.org/en/latest/changelog.html

 

This version increases the minimum required Numba version to 0.49. We recommend users who can upgrade to Numba 0.49 or later to upgrade to this release. For users who cannot update to this version, we recommend staying with 0.9.x until you can.

 

Best regards,

Hameer Abbasi


_______________________________________________
NumPy-Discussion mailing list
[hidden email]
https://mail.python.org/mailman/listinfo/numpy-discussion